=== debian/control ===
Source: screen-n900
Section: misc
Priority: optional
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
Standards-Version: 3.6.1
Build-Depends: libncursesw5-dev, texinfo, base-passwd (>= 2.0.3.4), debhelper (>> 4.1.17)

Package: screen-n900
Architecture: any
Depends: ${shlibs:Depends}, base-passwd (>= 2.0.3.4), passwd (>= 1:4.0.3-10), ncurses-base
Pre-Depends: ${misc:Depends}
Conflicts: suidmanager (<< 0.52), screen
Description: a terminal multiplexor with VT100/ANSI terminal emulation
 screen is a terminal multiplexor that runs several separate "screens" on a
 single physical character-based terminal.  Each virtual terminal emulates a
 DEC VT100 plus several ANSI X3.64 and ISO 2022 functions.  Screen sessions
 can be detached and resumed later on a different terminal.
 .
 Screen also supports a whole slew of other features.  Some of these are:
 configurable input and output translation, serial port support, configurable
 logging, multi-user support, and utf8 charset support.
