## screen-n900 4.0.3-0.3osso4%2b0m5-3

=== debian/changelog ===
screen-n900 (4.0.3-0.3osso4+0m5-3) unstable; urgency=low

  * Renamed (because sdk-repository has already package 'screen')
  * Removed  /usr/sbin/add-shell on postinst

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sun, 10 Jul 2011 22:35:24 +0300
