=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
 Package: screen-n900
 Architecture: any
 Depends: ${shlibs:Depends}, base-passwd (>= 2.0.3.4), passwd (>= 1:4.0.3-10), ncurses-base
-Pre-Depends: ${misc:Depends}
 Conflicts: suidmanager (<< 0.52), screen
 Description: a terminal multiplexor with VT100/ANSI terminal emulation
  screen is a terminal multiplexor that runs several separate "screens" on a
