## screen-n900 4.0.3-0.3osso4%2b0m5-5

=== debian/changelog ===
screen-n900 (4.0.3-0.3osso4+0m5-5) unstable; urgency=low

  * Renamed (because sdk-repository has already package 'screen')
  * Removed  /usr/sbin/add-shell on postinst
  * Removed  /usr/sbin/remove-shel on postrm
  * Changed debian/screenrc:82  xterm  -> *xterm (so it match also osso-xterm)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sun, 10 Jul 2011 23:26:24 +0300
